Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.huguesjohnson.tiamat
Class LocationObjectData

    java.lang.Object
      com.huguesjohnson.tiamat.LocationObjectData

    public class LocationObjectData

extends java.lang.Object

LocationObjectData - specifies where an object resides in a location

Author:
  Hugues Johnson

Nested Class Summary
`static class` | `LocationObjectData.XAlignment` Specifies the x-alignment of the object.
`static class` | `LocationObjectData.YAlignment` Specifies the y-alignment of the object.

Field Summary
`static boolean` | `DEFAULT_VISIBLE` `boolean DEFAULT_VISIBLE=true`
`static LocationObjectData.XAlignment` | `DEFAULT_X_ALIGN` `DEFAULT_X_ALIGN=XAlignment.FIXED`
`static LocationObjectData.YAlignment` | `DEFAULT_Y_ALIGN` `DEFAULT_Y_ALIGN=YAlignment.FIXED`

Constructor Summary
`LocationObjectData(java.lang.String name)` Create a new instance of LocationObjectData
`LocationObjectData(java.lang.String name, boolean visible)` Create a new instance of LocationObjectData
`LocationObjectData(java.lang.String name, boolean visible, LocationObjectData.XAlignment xalign, LocationObjectData.YAlignment yalign)` Create a new instance of LocationObjectData
`LocationObjectData(java.lang.String name, boolean visible, LocationObjectData.XAlignment xalign, LocationObjectData.YAlignment yalign, int x, int y)` Create a new instance of LocationObjectData
`LocationObjectData(java.lang.String name, LocationObjectData.XAlignment xalign, LocationObjectData.YAlignment yalign)` Create a new instance of LocationObjectData
`LocationObjectData(java.lang.String name, LocationObjectData.XAlignment xalign, LocationObjectData.YAlignment yalign, int x, int y)` Create a new instance of LocationObjectData

Method Summary
`java.lang.String` | `getName()`
`boolean` | `getVisible()`
`int` | `getX()`
`LocationObjectData.XAlignment` | `getXalign()`
`int` | `getY()`
`LocationObjectData.YAlignment` | `getYalign()`
`void` | `setName(java.lang.String name)`
`void` | `setVisible(boolean visible)`
`void` | `setX(int x)`
`void` | `setXalign(LocationObjectData.XAlignment xalign)`
`void` | `setY(int y)`
`void` | `setYalign(LocationObjectData.YAlignment yalign)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_X_ALIGN

    public static final LocationObjectData.XAlignment DEFAULT_X_ALIGN

  `DEFAULT_X_ALIGN=XAlignment.FIXED`

### DEFAULT_Y_ALIGN

    public static final LocationObjectData.YAlignment DEFAULT_Y_ALIGN

  `DEFAULT_Y_ALIGN=YAlignment.FIXED`

### DEFAULT_VISIBLE

    public static final boolean DEFAULT_VISIBLE

  `boolean DEFAULT_VISIBLE=true`

  See Also:
    Constant Field Values

Constructor Detail

### LocationObjectData

    public LocationObjectData(java.lang.String name)

  Create a new instance of LocationObjectData

  Parameters:
    `name` - The name of the object.

### LocationObjectData

    public LocationObjectData(java.lang.String name,
                              boolean visible)

  Create a new instance of LocationObjectData

  Parameters:
    `name` - The name of the object.
    `visible` - Whether the object is visible.

### LocationObjectData

    public LocationObjectData(java.lang.String name,
                              LocationObjectData.XAlignment xalign,
                              LocationObjectData.YAlignment yalign)

  Create a new instance of LocationObjectData

  Parameters:
    `name` - The name of the object.
    `xalign` - The x alignment of the object.
    `yalign` - The y alignment of the object.

### LocationObjectData

    public LocationObjectData(java.lang.String name,
                              LocationObjectData.XAlignment xalign,
                              LocationObjectData.YAlignment yalign,
                              int x,
                              int y)

  Create a new instance of LocationObjectData

  Parameters:
    `name` - The name of the object.
    `xalign` - The x alignment of the object.
    `yalign` - The y alignment of the object.
    `x` - The actual x location of the object.
    `y` - The actual y location of the object.

### LocationObjectData

    public LocationObjectData(java.lang.String name,
                              boolean visible,
                              LocationObjectData.XAlignment xalign,
                              LocationObjectData.YAlignment yalign)

  Create a new instance of LocationObjectData

  Parameters:
    `name` - The name of the object.
    `visible` - Whether the object is visible.
    `xalign` - The x alignment of the object.
    `yalign` - The y alignment of the object.

### LocationObjectData

    public LocationObjectData(java.lang.String name,
                              boolean visible,
                              LocationObjectData.XAlignment xalign,
                              LocationObjectData.YAlignment yalign,
                              int x,
                              int y)

  Create a new instance of LocationObjectData

  Parameters:
    `name` - The name of the object.
    `visible` - Whether the object is visible.
    `xalign` - The x alignment of the object.
    `yalign` - The y alignment of the object.
    `x` - The actual x location of the object.
    `y` - The actual y location of the object.

Method Detail

### getXalign

    public LocationObjectData.XAlignment getXalign()

  Returns:
    Returns x alignment of the object.

### setXalign

    public void setXalign(LocationObjectData.XAlignment xalign)

  Parameters:
    `xalign` - The x alignment of the object.

### getYalign

    public LocationObjectData.YAlignment getYalign()

  Returns:
    Returns the y alignment of the object.

### setYalign

    public void setYalign(LocationObjectData.YAlignment yalign)

  Parameters:
    `yalign` - The y alignment of the object.

### getY

    public int getY()

  Returns:
    Returns the actual y location of the object.

### setY

    public void setY(int y)

  Parameters:
    `y` - The actual y location of the object.

### getX

    public int getX()

  Returns:
    Returns the actual x location of the object.

### setX

    public void setX(int x)

  Parameters:
    `x` - The actual x location of the object.

### getName

    public java.lang.String getName()

  Returns:
    Returns the name of the object.

### setName

    public void setName(java.lang.String name)

  Parameters:
    `name` - The name of the object.

### getVisible

    public boolean getVisible()

  Returns:
    Returns whether the object is visible.

### setVisible

    public void setVisible(boolean visible)

  Parameters:
    `visible` - True if the object is visible.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hugues Johnson